# Genera un conjunto de puntos
# en el plano que forman una elipse
#
# Entrada: [a, b, Xc, Yc, t]^T
#
# Fraga, 22.07.2021
import math
import sys

n = len( sys.argv )
if n != 6:
	print("Args: a b Xc Yc t")
	sys.exit(1)

a = float( sys.argv[1] )
b = float( sys.argv[2] )
Xc = float( sys.argv[3] )
Yc = float( sys.argv[4] )
t = float( sys.argv[5] )

t = math.radians(t)
c = math.cos(t)
s = math.sin(t)

# 36 puntos
i = 0
while i < 36 :
	ang	= math.radians(i*10.0)
	x = a * math.cos( ang )
	y = b * math.sin( ang )

	xp = c*x - s*y + Xc 
	yp = s*x + c*y + Yc 

	print( xp, yp )
	i += 1
